Blood Glucose

Get the blood glucose measurement from a specific point in time.

Returns the latest blood glucose reading
GET https://api.humanapi.co/v1/human/blood_glucose

Returns all blood glucose readings
GET https://api.humanapi.co/v1/human/blood_glucose/readings

# Returns a json object of blood glucose:
{
  "id": "54be39e6c3fa43b8057d59fc",
  "userId": "52e20cb2fff56aac62000001",
  "timestamp": "2015-01-20T12:20:04.000Z",
  "tzOffset": "-07:00",
  "value": 94,
  "unit": "mg/dL",
  "source": "ihealth",
  "sourceData": {},
  "createdAt": "2015-03-16T23:48:43.696Z",
  "updatedAt": "2015-03-16T23:48:43.696Z",
  "humanId": "5dc2527186aaf9de560e5841f1a44bd6"
}
# Get the latest blood glucose measurement associated with the user
curl -H "Authorization: Bearer demo" "https://api.humanapi.co/v1/human/blood_glucose"
PropertyTypeDescription
idStringThe id of the resource.
userIdString[deprecated - use humanId]
humanIdStringUnique user identifier
timestampDateThe original date and time of the measurement
tzOffsetStringThe offset from UTC time in +/-hh:mm (e.g. -04:00)
sourceStringThe source service for the measurement, where it was created
valueNumberThe value of the measurement in the unit specified
unitStringThe unit of the measurement value
notesStringUser-created notes
mealTagStringIndication if value was captured before/after a meal
medicationTagStringIndication if value was captured before/after taking medication
createdAtDateThe time the measurement was created on the Human API server
updatedAtDateThe time the measurement was updated on the Human API server
Language
Response
Click Try It! to start a request and see the response here!